#!BuildIgnore:          post-build-checks
# norootforbuild

Name:           mplayerplug-in
Version:        3.55
Release:        15.10

Source0:	%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}

License:	GPL
Group: 		Productivity/Multimedia/Video/Players
Summary: 	MPlayer Plugin for Netscape/Mozilla
Summary(de): 	MPlayer Plugin für Netscape/Mozilla
URL: 		http://mplayerplug-in.sourceforge.net/
Requires:	MPlayer
BuildRequires:  gcc-c++
BuildRequires:	gtk2-devel
BuildRequires:  mDNSResponder-lib

%if 0%{sles_version} >= 11
BuildRequires:	mozilla-xulrunner190-devel
BuildRequires:	pkg-config
%endif

%if 0%{suse_version} >= 1020 && 0%{?sles_version} != 11
BuildRequires:	mozilla-xulrunner181-devel
BuildRequires:	pkg-config
%endif

%if 0%{suse_version} == 1010
BuildRequires:	gecko-sdk
BuildRequires:	pkg-config
%endif

%if 0%{suse_version} < 1010
BuildRequires:	mozilla-devel
%endif

%define config_dir /etc

%description
mplayerplug-in is a Netscape/Mozilla browser plugin to allow playing embedded movies on web pages.

Should work with Mozilla and MozillaFirefox

%description -l de
mplayerplug-in ist ein Netscape/Mozilla browser plugin, dass das Abspielen von eingebetteten 
Filmen erlaubt.

Sollte mit Mozilla und MozillaFirefox funktionieren.

%prep
%setup -q
chmod 644 README TODO INSTALL
%build
export CFLAGS="`/opt/mozilla/bin/mozilla-config --cflags` -DMOZILLA_STRICT_API"
%configure \
	--with-faad \
	--enable-wmp \
	--enable-qt \
	--enable-rm \
	--enable-gmp\
	--enable-dvx\
	#--enable-x \
%ifarch %x86_64
 	--enable-x86_64
%endif

make %{?jobs:-j%{jobs}}

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
./install.sh %{buildroot}
mv %{buildroot}%_libdir/mozilla/plugins %{buildroot}%_libdir/browser-plugins
rmdir  %{buildroot}%_libdir/mozilla
chmod +x %{buildroot}%_libdir/browser-plugins/*xpt
install -d %{buildroot}%{config_dir}/ld.so.conf.d
pkg-config --libs-only-L xulrunner-plugin | perl -npe "s/-L//" > %{buildroot}%{config_dir}/ld.so.conf.d/mplayerplug-in.conf
%find_lang %name

%post
/sbin/ldconfig
for d in /opt/mozilla/lib /opt/MozillaFirefox/lib ; do
  for mod in in-gmp in-qt in-rm in-rm in-wmp in ; do
    if [ -d $d/plugins    ]; then ln -sf %_libdir/browser-plugins/mplayerplug-$mod.so $d/plugins/;     fi
    if [ -d $d/components ]; then ln -sf %_libdir/browser-plugins/mplayerplug-$mod.xpt $d/components/; fi
  done
done

%postun
/sbin/ldconfig
for d in /opt/mozilla/lib /opt/MozillaFirefox/lib ; do
  for mod in in-gmp in-qt in-rm in-rm in-wmp in ; do
    if [ -e $d/plugins/mplayerplug-$mod.so     ]; then rm -f $d/plugins/mplayerplug-$mod.so ; fi
    if [ -e $d/components/mplayerplug-$mod.xpt ]; then rm -f $d/components/mplayerplug-$mod.xpt ; fi
  done
done

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr (-,root,root)
%doc ChangeLog INSTALL README TODO 
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in.so
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in.xpt
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in-dvx.so
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in-dvx.xpt
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in-gmp.so
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in-gmp.xpt
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in-qt.so
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in-qt.xpt
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in-rm.so
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in-rm.xpt
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in-wmp.so
%{_prefix}/%{_lib}/browser-plugins/mplayerplug-in-wmp.xpt
%_datadir/locale/*/LC_MESSAGES/mplayerplug-in.mo
%config(noreplace) %{config_dir}/%{name}.*
%config %{config_dir}/ld.so.conf.d/mplayerplug-in.conf

%changelog
* Tue Jan 12 2008 Carsten Schoene <cs@linux-administrator.com>
- initial import for SLE_10

